Create a new SKU
curl --request POST \
--url https://api.bold-factory.com/v1/items/products/{productReference}/skus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"values": [
{
"propertyReference": "<string>",
"value": "<string>"
}
],
"managesLots": true,
"unitCode": "<string>",
"decimalPlaces": 123,
"externalReference": "<string>"
}
'import requests
url = "https://api.bold-factory.com/v1/items/products/{productReference}/skus"
payload = {
"name": "<string>",
"code": "<string>",
"description": "<string>",
"values": [
{
"propertyReference": "<string>",
"value": "<string>"
}
],
"managesLots": True,
"unitCode": "<string>",
"decimalPlaces": 123,
"externalReference": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
description: '<string>',
values: [{propertyReference: '<string>', value: '<string>'}],
managesLots: true,
unitCode: '<string>',
decimalPlaces: 123,
externalReference: '<string>'
})
};
fetch('https://api.bold-factory.com/v1/items/products/{productReference}/skus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"validationErrors": "<string>",
"productId": "<string>",
"imageFileId": "<string>",
"image": {
"id": "<string>",
"readOnlyUri": "<string>"
},
"product": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "CANNOT_MODIFY_CANCELLED_LINE"
}SKUs
Create a new SKU
Requires Items.Skus.Write permissions
POST
/
v1
/
items
/
products
/
{productReference}
/
skus
Create a new SKU
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Cuerpo
application/json
Show child attributes
Show child attributes
Opciones disponibles:
ToOrder, ToStock Opciones disponibles:
Make, Buy, Ignore Respuesta
Created
Opciones disponibles:
Invalid, Valid Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I